System.Xml 2.0.0.0 4.0.0.0 System.Enum

When you create a reader or writer instance, you can use the or class to specify the features that you want the new instance to support. One of the features that you can configure is the level of conformance you wish to enforce on the XML data.

Creating a compliant reader or writer guarantees that the XML data being processed complies with the specified conformance level. If the stream being read or written does not comply with the conformance level, an exception is thrown.

For more information, see Data Conformance Checking with XmlReader and Data Conformance and the XmlWriter.

Specifies the amount of input or output checking that the created and objects perform.

- Field
  2.0.0.0
  4.0.0.0
  System.Xml.ConformanceLevel

  The or object automatically detects whether document or fragment checking should be performed, and does the appropriate checking. In the case where you are wrapping another or object, the outer object does not do any additional conformance checking. Conformance checking is left up to the underlying object.

- Field
  2.0.0.0
  4.0.0.0
  System.Xml.ConformanceLevel

  This level of checking ensures that the stream being read or written can be consumed by any processor as an XML 1.0 document (http://www.w3.org/TR/REC-xml#NT-document).

  In addition to the ConformanceLevel.Fragment checks, the ConformanceLevel.Document level of checks also ensures the following:

  The top-level item must not have any nodes other than XML Declaration, DTD, element, comment, white space, or processing instruction.

  The XML data must have one, and only one, top-level element node.

  The XML data is in conformance to the rules for a well-formed XML 1.0 document.

- Field
  2.0.0.0
  4.0.0.0
  System.Xml.ConformanceLevel

  This conformance level represents an XML document which does not necessarily have a root element, but is otherwise well-formed. This level of checking ensures that the stream being read or written can be consumed by any processor as an XML 1.0 external parsed entity (http://www.w3.org/TR/REC-xml#NT-extParsedEnt).

  The XML data is a well-formed XML fragment.